/* src/app/book-club/book-club.component.css */

.container {
    max-width: 800px;
    margin: 0 auto;
}

h2 {
    color: #007bff;
    /* Bootstrap primary color */
    margin-bottom: 20px;
}

.category-list {
    display: flex;
    flex-direction: column;
}

.category {
    margin-bottom: 20px;
}

.category h3 {
    color: #333;
}

.book-list {
    display: flex;
    overflow-x: auto;
    /* Allow horizontal scrolling */
    padding-bottom: 10px;
    /* Add padding to accommodate scrollbar */
}

.book-item {
    flex: 0 0 calc(33.333% - 20px);
    margin: 10px;
    padding: 15px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 8px;
    text-align: center;
    transition: transform 0.3s ease-in-out;
}

.book-item:hover {
    transform: scale(1.05);
}

.book-item img {
    max-width: 100%;
    height: auto;
    border-radius: 4px;
    margin-bottom: 10px;
}

.book-item h4 {
    color: #333;
}

.book-item p {
    color: #666;
    margin-bottom: 5px;
}

.btn-primary {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 8px 16px;
    border-radius: 4px;
    cursor: pointer;
}

.btn-primary:hover {
    background-color: #0056b3;
}